DeleteRecoveryPlan
Deletes a Recovery Plan. Cannot delete a plan that has an execution in a non-terminal status (CREATED, IN_PROGRESS).
Request Syntax
POST /DeleteRecoveryPlan HTTP/1.1
Content-type: application/json
{
"recoveryPlanArn": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- recoveryPlanArn
-
The ARN of the Recovery Plan to delete.
Type: String
Length Constraints: Minimum length of 20. Maximum length of 2048.
Pattern:
arn:aws(-[a-z0-9]+)*:drs:[a-z0-9-]+:[0-9]{12}:[a-zA-Z0-9_/.-]+Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"recoveryPlanArn": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- recoveryPlanArn
-
The ARN of the deleted Recovery Plan.
Type: String
Length Constraints: Minimum length of 20. Maximum length of 2048.
Pattern:
arn:aws(-[a-z0-9]+)*:drs:[a-z0-9-]+:[0-9]{12}:[a-zA-Z0-9_/.-]+
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- ConflictException
-
The request could not be completed due to a conflict with the current state of the target resource.
- resourceId
-
The ID of the resource.
- resourceType
-
The type of the resource.
HTTP Status Code: 409
- InternalServerException
-
The request processing has failed because of an unknown error, exception or failure.
- retryAfterSeconds
-
The number of seconds after which the request should be safe to retry.
HTTP Status Code: 500
- ResourceNotFoundException
-
The resource for this operation was not found.
- resourceId
-
The ID of the resource.
- resourceType
-
The type of the resource.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
- quotaCode
-
Quota code.
- retryAfterSeconds
-
The number of seconds after which the request should be safe to retry.
- serviceCode
-
Service code.
HTTP Status Code: 429
- UninitializedAccountException
-
The account performing the request has not been initialized.
HTTP Status Code: 400
- ValidationException
-
The input fails to satisfy the constraints specified by the AWS service.
- fieldList
-
A list of fields that failed validation.
- reason
-
Validation exception reason.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: